Link Search Menu Expand Document
Release Released Security Support Latest
2.4 1 month and 2 weeks ago
(16 Aug 2022)
Yes 2.4.2
2.3 6 months ago
(30 Mar 2022)
Ended 1 month and 2 weeks ago
(16 Aug 2022)
2.3.10
2.2 (LTS) 9 months ago
(22 Dec 2021)
Ends in 1 year and 2 months
(31 Dec 2023)
2.2.18
1.x 6 years ago
(05 Apr 2016)
Ended 1 year and 11 months ago
(24 Oct 2020)
1.10.26

Composer is a package manager that is commonly used to manage libraries and other dependencies for PHP projects.

While it still receives critical fixes from time to time, Composer 1.x is mostly EOL and the developers urge everyone to switch to Composer 2.x.

Packagist (the main Composer repository) still supports Composer 1.x metadata for now but with a few caveats.

PHP Support

Composer Version PHP Version
2.3+ >=7.2.5
2.2 (LTS) >=5.3.2

You should be running one of the supported release numbers listed above in the rightmost column.

You can check the version that you are currently using by running:
composer --version

You can submit an improvement to this page on GitHub. This page has a corresponding Talk Page.

A JSON version of this page is available at /api/composer.json. See the API Documentation for more.

Latest releases on this page are automatically updated